OpenVZ Forum


Home » General » Discussions » OpenVZ install error CentOS7 (OpenVZ install error CentOS7 (kernel-firmware error))
OpenVZ install error CentOS7 [message #53661] Mon, 13 July 2020 09:06
stucci is currently offline  stucci
Messages: 1
Registered: August 2019
Junior Member
From: *catv.broadband.hu
Greetings,

I started installing OpenVZ on a CentOS 7 (64 bit) server,
but encountered kernel issues.

[root@lol ~]# rpm --import http://ftp.openvz.org/RPM-GPG-Key-OpenVZ
[root@lol ~]# yum install vzkernel
Loaded plugins: fastestmirror, openvz, priorities
Loading mirror speeds from cached hostfile
 * base: mirror.digitalnova.at
 * extras: mirror.digitalnova.at
 * openvz-kernel-rhel6: mirrors.nav.ro
 * openvz-utils: mirrors.nav.ro
 * updates: mirror.digitalnova.at
Resolving Dependencies
--> Running transaction check
---> Package vzkernel.x86_64 0:2.6.32-042stab145.3 will be installed
--> Processing Dependency: kernel-firmware >= 2.6.32-754.30.2.el6 for package: v                                                                                                                                                             zkernel-2.6.32-042stab145.3.x86_64
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/mkinitrd for package: vzkernel-2.6.32-042stab14                                                                                                                                                             5.3.x86_64
--> Processing Dependency: /sbin/grubby for package: vzkernel-2.6.32-042stab145.                                                                                                                                                             3.x86_64
--> Running transaction check
---> Package linux-firmware.noarch 0:20191203-76.gite8a0f4c.el7 will be installe                                                                                                                                                             d
---> Package vzkernel.x86_64 0:2.6.32-042stab145.3 will be installed
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/mkinitrd for package: vzkernel-2.6.32-042stab14                                                                                                                                                             5.3.x86_64
--> Processing Dependency: /sbin/grubby for package: vzkernel-2.6.32-042stab145.                                                                                                                                                             3.x86_64
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/new-kernel-pkg for package: vzkernel-2.6.32-042                                                                                                                                                             stab145.3.x86_64
--> Processing Dependency: /sbin/grubby for package: vzkernel-2.6.32-042stab145.                                                                                                                                                             3.x86_64
--> Processing Dependency: /sbin/mkinitrd for package: vzkernel-2.6.32-042stab14                                                                                                                                                             5.3.x86_64
--> Finished Dependency Resolution
Error: Package: vzkernel-2.6.32-042stab145.3.x86_64 (openvz-kernel-rhel6)
           Requires: /sbin/grubby
Error: Package: vzkernel-2.6.32-042stab145.3.x86_64 (openvz-kernel-rhel6)
           Requires: /sbin/new-kernel-pkg
Error: Package: vzkernel-2.6.32-042stab145.3.x86_64 (openvz-kernel-rhel6)
           Requires: /sbin/mkinitrd
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@lol ~]#


What is the problem?
What do I need to install or uninstall to successfully install vzkernel?

Thank you in advance for your answers!

Previous Topic: VMWare Server vs OpenVZ
Next Topic: Openvz 8?
Goto Forum:
  


Current Time: Tue Sep 29 03:50:03 GMT 2020